function superselect(fromobj){   //这套函数套用时，直接把fromobj项绑定为需要适时浏览的SELECT对象ID，可以任意绑定多个，互不影响。
var a=fromobj.children[0],thelen=a.options.length;a.selectedIndex=0;a.size=thelen;fromobj.style.width=a.offsetWidth
var onesize=(a.offsetHeight-6)/thelen  //单个高度
a.onkeydown=function(){return false;}  //键盘排除,本例暂不编制上下键的程序
a.onmousedown=function(){if(event.button==1)a.ckin=true;}
a.onmouseup=function(){fromobj.onmousemove();if(event.button==1)a.ckin=false;fromobj.focus();}

fromobj.onmousemove=function(){if(!a.ckin)return;
if(event.offsetX>a.offsetWidth||event.offsetX<0)return;  //这句防止聚焦选定
var inthe=Math.floor(event.offsetY/onesize);if(inthe<0)inthe=0;if(inthe>=thelen)inthe=thelen-1  //排除错误
if(event.y>fromobj.offsetTop+fromobj.offsetHeight-(fromobj.offsetHeight/5))fromobj.scrollTop+=2  //卷动
if(event.y<fromobj.offsetTop+(fromobj.offsetHeight/5))fromobj.scrollTop--

a.value2=a.options[inthe].text.replace(/lv\=\d+ /g,"");jisuan("读取")
}}